SMTP-SINK(8)

NAME
smtp-sink - multi-threaded SMTP/LMTP test server

SYNOPSIS
smtp-sink [options] [inet:][host]:port backlog smtp-sink [options] unix:pathname backlog

DESCRIPTION
smtp-sink listens on the named host (or address) and port. It takes SMTP messages from the network and throws them away. The purpose is to measure SMTP client performance, not protocol compliance. Connections can be accepted on IPV4 endpoints or UNIX-domain sockets. IPV4 is the default. This program is the complement of the smtp-source program. Arguments:

-c  Display a running counter that is updated whenever an SMTP QUIT command is executed.

-e  Disable ESMTP support.

-h  Use hostname in the SMTP greeting, in the HELO response, and in the EHLO response. The default hostname is "smtp-sink".

-L  Enable LMTP rather than SMTP.

-n count
    Terminate after count sessions. This is for testing purposes.

-p  Disable ESMTP command pipelining.

-P  Change the server greeting so that it appears to come through a CISCO PIX system.

-s command,command,...
    Log the named commands to syslogd. Examples of commands that can be logged are HELO, EHLO, LHLO, MAIL, RCPT, VRFY, RSET, NOOP, and QUIT. Separate command names by white space or commas, and use quotes to protect white space from the shell. Command names are case-insensitive.

-v  Show the SMTP conversations.

-w delay
    Wait delay seconds before responding to a DATA command.

-8  Disable 8BITMIME support.

[inet:][host]:port
    Listen on network interface host (default: any interface) TCP port port. Both host and port may be specified in numeric or symbolic form.

unix:pathname
    Listen on the UNIX-domain socket at pathname.

backlog
    The maximum length the queue of pending connections, as defined by the listen(2) call.

SEE ALSO
smtp-source, SMTP/LMTP test message generator

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA